gnutls_pubkey_get_key_id(3)

NAME
gnutls_pubkey_get_key_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pubkey_get_key_id(gnutls_pubkey_t key, unsigned int flags, unsigned char * output_data, size_t * output_data_size);

ARGUMENTS

gnutls_pubkey_t key
    Holds the public key

unsigned int flags
    should be 0 for now

unsigned char * output_data
    will contain the key ID

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will return a unique ID the depends on the public key parameters. This ID can be used in checking whether a certificate corresponds to the given public key. If the buffer provided is not long enough to hold the output, then *output_data_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. The output will normally be a SHA-1 hash output, which is 20 bytes.

RETURN VALUE
In case of failure a negative value will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.